//
//  ApertureStatsStore.h
//  ApertureEXIFExtractor
//
//  Created by Robbie Duncan on 06/01/2010.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ApertureStatsStore : NSObject <NSTableViewDataSource>
{
	NSMutableDictionary *tags;
	NSArray *orderedTags;
	NSDictionary *orderedCountKeysByTag;
	IBOutlet NSTableView *theTable;
	int tableWidth;
}

-(void) incrementCountForTag:(NSString *) tag andValue:(NSString *) value;
-(void) redisplay;
-(IBAction) saveAs:(id) sender;

@end
